Loading...
Searching...
No Matches
AwsRestClientDataProvider::AwsRestClientHeadDataProvider Class Reference

The AWS REST client HEAD data provider class. More...

`#include <AwsRestClientHeadDataProvider.qc.dox.h>`

Inherits AbstractDataProvider.

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (AwsRestClient rest)
| Creates the object from a REST connection.
string | getName ()
| Returns the data provider name.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Public Attributes

const | ProviderInfo
| Provider info.
const | ProviderSummaryInfo
| Provider summary info.
const | RequestType = new RestClientCallWithoutBodyRequestDataType()
| Request type.
const | ResponseType = new RestClientCallResponseDataType()
| Response type.
AwsRestClient | rest
| REST client connection.

## Protected Member Functions

auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response.
*AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message.
*AbstractDataProviderType | headRequestTypeImpl ()

## Detailed Description

The AWS REST client HEAD data provider class.

## Member Function Documentation

## doRequestImpl()

auto AwsRestClientDataProvider::AwsRestClientHeadDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options
| ) |  |

protected

Makes a request and returns the response.

Parameters

  req | the request info
  request_options | the request options after processing by validateRequestOptions()

Returns
  the response to the request

## getResponseTypeImpl()

*AbstractDataProviderType AwsRestClientDataProvider::AwsRestClientHeadDataProvider::getResponseTypeImpl | ( |  | ) |

protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message

## headRequestTypeImpl()

*AbstractDataProviderType AwsRestClientDataProvider::AwsRestClientHeadDataProvider::headRequestTypeImpl | ( |  | ) |

protected

Makes a request and returnscallwithoutbody Returns the description of a successful request message, if any

Returns
  the request type for this provider